/*
	File:		SamplePartGlobals.c

	Contains:	SamplePart globals

	Written by:	Steve Smith

	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.
*/


#ifndef _SAMPLEPARTGLOBALS_
#include "SamplePartGlobals.h"
#endif

#ifndef _ODMEMORY_
#include <ODMemory.h>
#endif

//==============================================================================
// Globals
//==============================================================================

ODUShort			gGlobalsUsageCount	= 0;
SamplePartGlobals*	gGlobals			= kODNULL;


//==============================================================================
// Functions
//==============================================================================

SamplePartGlobals* newGlobals()
{
	return (SamplePartGlobals*) ODNewPtrClear(sizeof(SamplePartGlobals), kODNULL);
}

void deleteGlobals(SamplePartGlobals** globals)
{
	ODDisposePtr((ODPtr)(*globals));
	*globals = kODNULL;
}
