/*
	File:		TextEditorPrefs.h

	Contains:	TextEditor Preference dialog functions

	Written by:	Steve Smith

	Copyright:	 1994 - 1995 by Apple Computer, Inc., all rights reserved.
*/

#ifndef _TEXTEDITORPREFS_
#define _TEXTEDITORPREFS_

#ifndef __FILES__
#include <Files.h>
#endif

// --- OpenDoc Includes ---

#ifndef _ODTYPES_
#include <ODTypes.h>
#endif

#ifndef SOM_ODStorageUnit_xh
#include <StorageU.xh>
#endif

void		ModalPreferencesDialog(Environment* ev, ODFrame* frame);
void		GetPreferences(Environment* ev, FSSpec* prefFile, ODBoolean* newFile);
ODBoolean	GetPrefStorageUnit(Environment* ev, ODSession* session, ODStorageUnit** prefSU);
void		ReadPreferences(Environment* ev, ODSession* session, StringPtr fontName, ODUShort* fontSize);
void		WritePreferences(Environment* ev, ODSession* session, StringPtr fontName, ODUShort* fontSize);
void		ClosePreferences(Environment* ev, ODStorageUnit* prefSU);

#endif