/*
	File:		CappuccinoAETE.r

	Contains:	AETE resources for Cappuccino

	Written by:	Troy Gaul (originiated by Jon Pugh)

	Copyright:	 1993 - 1995 by Apple Computer, Inc., all rights reserved.
*/

#ifndef __AEUSERTERMTYPES__
#include "AEUserTermTypes.r"
#endif

#ifndef __APPLEEVENTS_R__
#include "AppleEvents.r"
#endif

#ifndef __AEREGISTRY.R__
#include "AERegistry.r"
#endif

#ifndef __ASREGISTRY__
#include "ASRegistry.r"
#endif

#ifndef _CAPPUCCINODEF_
#include "CappuccinoDef.h"
#endif

#define english 0

resource 'aete' (english, "Cappuccino Terminology") 
{
	0x01,
	0x00,
	english,
	roman,
	{	/* array Suites: 1 element  */
		/* [1] */
		"Cappuccino Suite",
		"Suite pertaining to Cappuccino.",
		kCappuccinoEditorOSType,
		1,
		1,
		{	/* array Events: 0 elements */
		},
		{	/* array Classes: 1 element */
			/* [1] */
			"Cappuccino",
			kCappuccinoEditorOSType,
			"The root Cappuccino object.",
			{	/* array Properties: 1 element */
				/* [1] */
				"contents",
				pContents,
				typeChar,
				"The text displayed by the part.",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				noApostrophe,
				notFeminine,
				notMasculine,
				singular,
			},
			{	/* array Elements: 0 elements */
			},
		},
		{	/* array ComparisonOps: 0 elements */
		},
		{
		},
	},
};

