/*
	File:		CappuccinoSettingsExtension.h

	Contains:	Settings extension class interface.

	Written by:	Troy Gaul

	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.
*/

#ifndef _CAPPUCCINOSETTINGSEXT_
#define _CAPPUCCINOSETTINGSEXT_

#ifndef _ODTYPES_
#include <ODTypes.h>
#endif

//------------------------------------------------------------------------------
// Forward declarations
//------------------------------------------------------------------------------

class Cappuccino;

//------------------------------------------------------------------------------
// CappuccinoSettingsExtension
//------------------------------------------------------------------------------

class CappuccinoSettingsExtension
{
	//===================
	public:
	
	CappuccinoSettingsExtension();
	~CappuccinoSettingsExtension();
	
	void	InitSettingsExtension(Environment* ev, ODPart* owner);
	void	ShowSettings(Environment* ev, ODFacet* facet);
		
	//===================
	private:
	
	Cappuccino*		fOwner;
};

#endif