/*
	File:		UndoPE.h

	Contains:	Undo class implementation

	Written by:	Steve Smith
	
	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.
*/

#ifndef _UNDOPE_
#define _UNDOPE_

// -- Compiler/Preprocessor Switches --

#ifndef _COMPILERDEFS_
#include "CompDefs.h"
#endif

// -- OpenDoc Includes --

#ifndef _ODTYPES_
#include <ODTypes.h>
#endif

class CList;

class CUndo {
	
	public:
	
	CUndo();
	virtual ~CUndo();
	
	void		SetType(ODUShort type);
	ODUShort	GetType();
	void		SetSelection(CList* selection);
	CList*		GetSelection();

	protected:
	
	CList*		fSelection;
	ODUShort	fType;
};


#endif