/*
	File:		SESettingsExtension.h

	Contains:	SoundEditor Settings Extension class interface

	Written by:	Steve Smith

	Copyright:	 1995 by Apple Computer, Inc., all rights reserved.
*/

#ifndef _SESETTINGSEXTENSION_
#define _SESETTINGSEXTENSION_

#ifndef _ODTYPES_
#include <ODTypes.h>
#endif

//------------------------------------------------------------------------------
// Forward declarations
//------------------------------------------------------------------------------

class SoundEditor;

//------------------------------------------------------------------------------
// SESettingsExtension
//------------------------------------------------------------------------------

class SESettingsExtension
{
	//===================
	public:
	
	SESettingsExtension();
	~SESettingsExtension();
	
	void	InitSettingsExtension(Environment* ev, ODPart* owner);
	void	ShowSettings(Environment* ev, ODFacet* facet);
		
	//===================
	private:
	
	SoundEditor*	fOwner;
};

#endif