/*
	File:		SoundEditorObj.h

	Contains:	EditorPropAccessor class implementation.

	Written by:	Andrey Dolgachev

	Copyright:	 1994,95 by Apple Computer, Inc., all rights reserved.
*/


#ifndef _SOUNDEDITOROBJ_
#define _SOUNDEDITOROBJ_

//------------------------------------------------------------------------------
// Forward Declarations
//------------------------------------------------------------------------------
class SoundEditor;

//------------------------------------------------------------------------------
// Class Definitions
//------------------------------------------------------------------------------

class EditorPropAccessor
{
	public:
	
	EditorPropAccessor(DescType property, SoundEditor* part);
	void SetData(AEDesc* data);
	void GetData(AEDesc* result);
	
	private:
	
	SoundEditor*	fPart;
	DescType		fProperty;
	
};

#endif